%%%%%%%%%%%
% EXPORT COMMON COMPONENTS FROM MODELS WITH PROXIES AND FACTORS FOR USE IN GELBACH DECOMP
%%%%%%%%%%%

LASTN=maxNumCompThreads(12);
clear;
addpath('matlabprograms')



%%% no demos or proxies
clear
load('../mydata/Results_ss2aa2sa_minti15.mat')

% IFE
common=F19*L19';
common=common';
common_bs=zeros(N,T*400);
for b=1:400
    FL=FIFEbreps9(:,:,b)*LIFEbreps9(:,:,b)';
    common_bs(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common.mat','common')
csvwrite('../mydata/common_ife_woD.csv',common)
delete('../mydata/common.mat')

save('../mydata/common_bs.mat','common_bs')
csvwrite('../mydata/common_bs_ife_woD.csv',common_bs)
delete('../mydata/common_bs.mat')


% CCE
common_cce=Fcce*Lcce';
common_cce=common_cce';
common_bs_cce=zeros(N,T*400);
for b=1:400
    FL=Fcceboot(:,:,b)*Lcceboot(:,:,b)';
    common_bs_cce(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce.mat','common_cce')
csvwrite('../mydata/common_cce_woD.csv',common_cce)
delete('../mydata/common_cce.mat')

save('../mydata/common_bs_cce.mat','common_bs_cce')
csvwrite('../mydata/common_bs_cce_woD.csv',common_bs_cce)
delete('../mydata/common_bs_cce.mat')

% CCE2
common_cce2=Fcce2*Lcce2';
common_cce2=common_cce2';
common_bs_cce2=zeros(N,T*400);
for b=1:400
    FL=Fcce2boot4(:,:,b)*Lcce2boot4(:,:,b)';
    common_bs_cce2(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce2.mat','common_cce2')
csvwrite('../mydata/common_cce2_woD.csv',common_cce2)
delete('../mydata/common_cce2.mat')

save('../mydata/common_bs_cce2.mat','common_bs_cce2')
csvwrite('../mydata/common_bs_cce2_woD.csv',common_bs_cce2)
delete('../mydata/common_bs_cce2.mat')





%%% no demos, PCA proxies
clear
load('../mydata/Results_ss2aa2sawP_minti15.mat')

% IFE
common=F19*L19';
common=common';
common_bs=zeros(N,T*400);
for b=1:400
    FL=FIFEbreps9(:,:,b)*LIFEbreps9(:,:,b)';
    common_bs(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common.mat','common')
csvwrite('../mydata/common_ife_woDwP.csv',common)
delete('../mydata/common.mat')

save('../mydata/common_bs.mat','common_bs')
csvwrite('../mydata/common_bs_ife_woDwP.csv',common_bs)
delete('../mydata/common_bs.mat')

% CCE
common_cce=Fcce*Lcce';
common_cce=common_cce';
common_bs_cce=zeros(N,T*400);
for b=1:400
    FL=Fcceboot(:,:,b)*Lcceboot(:,:,b)';
    common_bs_cce(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce.mat','common_cce')
csvwrite('../mydata/common_cce_woDwP.csv',common_cce)
delete('../mydata/common_cce.mat')

save('../mydata/common_bs_cce.mat','common_bs_cce')
csvwrite('../mydata/common_bs_cce_woDwP.csv',common_bs_cce)
delete('../mydata/common_bs_cce.mat')

% CCE2
common_cce2=Fcce2*Lcce2';
common_cce2=common_cce2';
common_bs_cce2=zeros(N,T*400);
for b=1:400
    FL=Fcce2boot4(:,:,b)*Lcce2boot4(:,:,b)';
    common_bs_cce2(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce2.mat','common_cce2')
csvwrite('../mydata/common_cce2_woDwP.csv',common_cce2)
delete('../mydata/common_cce2.mat')

save('../mydata/common_bs_cce2.mat','common_bs_cce2')
csvwrite('../mydata/common_bs_cce2_woDwP.csv',common_bs_cce2)
delete('../mydata/common_bs_cce2.mat')




%%% no demos, non-PCA proxies
clear
load('../mydata/Results_ss2aa2sawPalt_minti15.mat')


% IFE
common=F19*L19';
common=common';
common_bs=zeros(N,T*400);
for b=1:400
    FL=FIFEbreps9(:,:,b)*LIFEbreps9(:,:,b)';
    common_bs(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common.mat','common')
csvwrite('../mydata/common_ife_woDwPalt.csv',common)
delete('../mydata/common.mat')

save('../mydata/common_bs.mat','common_bs')
csvwrite('../mydata/common_bs_ife_woDwPalt.csv',common_bs)
delete('../mydata/common_bs.mat')

% CCE
common_cce=Fcce*Lcce';
common_cce=common_cce';
common_bs_cce=zeros(N,T*400);
for b=1:400
    FL=Fcceboot(:,:,b)*Lcceboot(:,:,b)';
    common_bs_cce(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce.mat','common_cce')
csvwrite('../mydata/common_cce_woDwPalt.csv',common_cce)
delete('../mydata/common_cce.mat')

save('../mydata/common_bs_cce.mat','common_bs_cce')
csvwrite('../mydata/common_bs_cce_woDwPalt.csv',common_bs_cce)
delete('../mydata/common_bs_cce.mat')

% CCE2
common_cce2=Fcce2*Lcce2';
common_cce2=common_cce2';
common_bs_cce2=zeros(N,T*400);
for b=1:400
    FL=Fcce2boot4(:,:,b)*Lcce2boot4(:,:,b)';
    common_bs_cce2(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce2.mat','common_cce2')
csvwrite('../mydata/common_cce2_woDwPalt.csv',common_cce2)
delete('../mydata/common_cce2.mat')

save('../mydata/common_bs_cce2.mat','common_bs_cce2')
csvwrite('../mydata/common_bs_cce2_woDwPalt.csv',common_bs_cce2)
delete('../mydata/common_bs_cce2.mat')






%%% demos, no proxies
clear
load('../mydata/Results_ss2aa2sawD_minti15.mat')

% IFE
common=F110*L110';
common=common';
common_bs=zeros(N,T*400);
for b=1:400
    FL=FIFEbreps10(:,:,b)*LIFEbreps10(:,:,b)';
    common_bs(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common.mat','common')
csvwrite('../mydata/common_ife_wD.csv',common)
delete('../mydata/common.mat')

save('../mydata/common_bs.mat','common_bs')
csvwrite('../mydata/common_bs_ife_wD.csv',common_bs)
delete('../mydata/common_bs.mat')

% CCE
common_cce=Fcce*Lcce';
common_cce=common_cce';
common_bs_cce=zeros(N,T*400);
for b=1:400
    FL=Fcceboot(:,:,b)*Lcceboot(:,:,b)';
    common_bs_cce(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce.mat','common_cce')
csvwrite('../mydata/common_cce_wD.csv',common_cce)
delete('../mydata/common_cce.mat')

save('../mydata/common_bs_cce.mat','common_bs_cce')
csvwrite('../mydata/common_bs_cce_wD.csv',common_bs_cce)
delete('../mydata/common_bs_cce.mat')

% CCE2
common_cce2=Fcce2*Lcce2';
common_cce2=common_cce2';
common_bs_cce2=zeros(N,T*400);
for b=1:400
    FL=Fcce2boot4(:,:,b)*Lcce2boot4(:,:,b)';
    common_bs_cce2(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce2.mat','common_cce2')
csvwrite('../mydata/common_cce2_wD.csv',common_cce2)
delete('../mydata/common_cce2.mat')

save('../mydata/common_bs_cce2.mat','common_bs_cce2')
csvwrite('../mydata/common_bs_cce2_wD.csv',common_bs_cce2)
delete('../mydata/common_bs_cce2.mat')






%%% demos, PCA proxies
clear
load('../mydata/Results_ss2aa2sawPwD_minti15.mat')

% IFE
common=F110*L110';
common=common';
common_bs=zeros(N,T*400);
for b=1:400
    FL=FIFEbreps10(:,:,b)*LIFEbreps10(:,:,b)';
    common_bs(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common.mat','common')
csvwrite('../mydata/common_ife_wDwP.csv',common)
delete('../mydata/common.mat')

save('../mydata/common_bs.mat','common_bs')
csvwrite('../mydata/common_bs_ife_wDwP.csv',common_bs)
delete('../mydata/common_bs.mat')

% CCE
common_cce=Fcce*Lcce';
common_cce=common_cce';
common_bs_cce=zeros(N,T*400);
for b=1:400
    FL=Fcceboot(:,:,b)*Lcceboot(:,:,b)';
    common_bs_cce(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce.mat','common_cce')
csvwrite('../mydata/common_cce_wDwP.csv',common_cce)
delete('../mydata/common_cce.mat')

save('../mydata/common_bs_cce.mat','common_bs_cce')
csvwrite('../mydata/common_bs_cce_wDwP.csv',common_bs_cce)
delete('../mydata/common_bs_cce.mat')

% CCE2
common_cce2=Fcce2*Lcce2';
common_cce2=common_cce2';
common_bs_cce2=zeros(N,T*400);
for b=1:400
    FL=Fcce2boot4(:,:,b)*Lcce2boot4(:,:,b)';
    common_bs_cce2(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce2.mat','common_cce2')
csvwrite('../mydata/common_cce2_wDwP.csv',common_cce2)
delete('../mydata/common_cce2.mat')

save('../mydata/common_bs_cce2.mat','common_bs_cce2')
csvwrite('../mydata/common_bs_cce2_wDwP.csv',common_bs_cce2)
delete('../mydata/common_bs_cce2.mat')





%%% demos, non-PCA proxies
clear
load('../mydata/Results_ss2aa2sawPaltwD_minti15.mat')

% IFE
common=F110*L110';
common=common';
common_bs=zeros(N,T*400);
for b=1:400
    FL=FIFEbreps10(:,:,b)*LIFEbreps10(:,:,b)';
    common_bs(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common.mat','common')
csvwrite('../mydata/common_ife_wDwPalt.csv',common)
delete('../mydata/common.mat')

save('../mydata/common_bs.mat','common_bs')
csvwrite('../mydata/common_bs_ife_wDwPalt.csv',common_bs)
delete('../mydata/common_bs.mat')

% CCE
common_cce=Fcce*Lcce';
common_cce=common_cce';
common_bs_cce=zeros(N,T*400);
for b=1:400
    FL=Fcceboot(:,:,b)*Lcceboot(:,:,b)';
    common_bs_cce(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce.mat','common_cce')
csvwrite('../mydata/common_cce_wDwPalt.csv',common_cce)
delete('../mydata/common_cce.mat')

save('../mydata/common_bs_cce.mat','common_bs_cce')
csvwrite('../mydata/common_bs_cce_wDwPalt.csv',common_bs_cce)
delete('../mydata/common_bs_cce.mat')

% CCE2
common_cce2=Fcce2*Lcce2';
common_cce2=common_cce2';
common_bs_cce2=zeros(N,T*400);
for b=1:400
    FL=Fcce2boot4(:,:,b)*Lcce2boot4(:,:,b)';
    common_bs_cce2(:,1+(b-1)*T:T+(b-1)*T)=FL';
end

save('../mydata/common_cce2.mat','common_cce2')
csvwrite('../mydata/common_cce2_wDwPalt.csv',common_cce2)
delete('../mydata/common_cce2.mat')

save('../mydata/common_bs_cce2.mat','common_bs_cce2')
csvwrite('../mydata/common_bs_cce2_wDwPalt.csv',common_bs_cce2)
delete('../mydata/common_bs_cce2.mat')


