%Separate program for performing CCE2step bootstrap for Kejriwal, Li, and Totty (2021)

function [betaCCEp2step_breps,YstarCCE2stepbreps,Fcceboot,Lcceboot]=CCE2stepbc_se_bootstrap(betaCCEp,X,Y,X1,Y1,Uccep,r2step,order,S, demean, Xorig,nonmiss,mgfe,knum,Zw);
[T,N,p]=size(X1);
Ti=sum(nonmiss,1);

breps=400;
betaCCEp2step_breps=zeros(p,breps);
YstarCCE2stepbreps=zeros(T,N,breps);
Fcceboot=zeros(T,r2step,breps);
Lcceboot=zeros(N,r2step,breps);

% FIRST, GET LOADINGS AND RESIDUALS TO USE IN BOOTSTRAP
Uccep_defac=NaN(T,N);
Lcce=zeros(knum,N);

for i=1:N;
    Xi=zeros(Ti(1,i),p);
    for j=1:p
        xij=X(:,i,j);
        Xi(:,j)=xij(~isnan(xij));
    end;

    yi=Y(:,i);
    Yi=yi(~isnan(yi));
    Uccepi=Yi-Xi*betaCCEp;

    Zwi=zeros(Ti(1,i),knum);
    zwi1=Zw(:,1);
    Zwi(:,1)=zwi1(~isnan(yi));
    for j=1:knum-1;
        zwij=Zw(:,1+j);
        Zwi(:,1+j)=zwij(~isnan(yi));
    end;
    Hwi=Zwi;
    Mi=eye(Ti(1,i)) - Hwi*((Hwi'*Hwi)\Hwi');

    Uccep_defaci=Mi*Uccepi;

    ti=0;
    for t=1:T;
        if nonmiss(t,i)==1;
            ti=ti+1;
            Uccep_defac(t,i)=Uccep_defaci(ti,1);
        end
    end

    %Hwinew=permute(Hwi,[1,3,2]);
    Uccepi=Uccep(:,i);
    Uccepi=Uccepi(~isnan(Uccepi));
    Lcce(:,i)=(Hwi'*Hwi)\(Hwi'*Uccepi);
    %[Lcce(:,i)]=Mul_panelbetai(Hwinew,Uccepi);
end
Uccep_defac_alt=Uccep-Zw*Lcce;



% SECOND, GENERATE CONSTANT PARTS OF BOOTSTRAP REPS
if demean==2
   Ybar_i=nanmean(Y1,1);
   Xbar_i=zeros(p,N);
   for j=1:p
      Xbar_i(j,:)=nanmean(X1(:,:,j),1);
   end
   alpha_hat=Ybar_i'-Xbar_i'*betaCCEp;
end

y_star=ones(T,1)*alpha_hat';
for j=1:p
   y_star=y_star+X1(:,:,j)*betaCCEp(j,1);
end
Hw=Zw;
y_star=y_star+Hw*Lcce;



% THIRD, LOOP THROUGH BOOTSTRAP REPS, GENERATE DATA, AND ESTIAMTE COEFS
sc=parallel.pool.Constant(RandStream('mrg32k3a'))
w=zeros(breps,N);
parfor b=1:breps
    stream=sc.Value;
    stream.Substream=b;
    Xdot=zeros(T,N,p);
    Ydot=zeros(T,N);
    Xcsavgs=zeros(T,N,p);
    Ycsavgs=zeros(T,N);
    w(b,:)=randn(stream,1,N);
    W=repmat(w(b,:),T,1);
    U_star=Uccep_defac_alt.*W;
    Y_star=y_star+U_star;

    % First, get regular CCE estimate
    % remove state-specific trends and demean for X,Y in estimation
    [Xdet,Ydet] = RemoveTimeTrends(X1,Y_star,order,S);
    if demean==0
        Xdot=Xdet;
        Ydot=Ydet;
    elseif demean==1
        [Xdot,Ydot]=CSDemean_unbalanced(Xdet,Ydet,1);
    elseif demean==2
        [Xdot,Ydot]=TimeDemean_unbalanced(Xdet,Ydet,1);
    elseif demean==3
        [Xdot,Ydot]=DemeanData_unbalanced(Xdet,Ydet);
    end
    X=Xdot;
    Y=Ydot;
    % Prepare data used for cross-section averages; not necessarily the
    % same as above because above may have partialled out time-related 
    % effects (e.g., demo-by-year) or have regular time fixed effects, in
    % which case the cross-section averages are ~0. Person fixed effects
    % are handled here, but could alternatively be handled via a Tx1 vector
    % of ones in the Zw matrix below.
    if mgfe==1
        [Xcsavgs,Ycsavgs]=TimeDemean_unbalanced(Xorig,Y_star,1);
    elseif mgfe==0
        Xcsavgs=Xorig;
        Ycsavgs=Y_star;
    end

     XX=zeros(p,p,N);
     XY=zeros(p,1,N);
     for i=1:N
         Xi=zeros(Ti(1,i),p);
         for j=1:p
             xij=X(:,i,j);
             Xi(:,j)=xij(~isnan(xij));
         end;
         yi=Y(:,i);
         Yi=yi(~isnan(yi));

         Zwi=zeros(Ti(1,i),knum);
         zwi1=Zw(:,1);
         Zwi(:,1)=zwi1(~isnan(yi));
         for j=1:knum-1
             zwij=Zw(:,1+j);
             Zwi(:,1+j)=zwij(~isnan(yi));
         end;
         Hwi=Zwi;
         Mi=eye(Ti(1,i)) - Hwi*((Hwi'*Hwi)\Hwi');

         XX(:,:,i)=(1/N)*(Xi'*Mi*Xi);
         XY(:,:,i)=(1/N)*(Xi'*Mi*Yi);
     end;
     XXsum=sum(XX,3);
     XYsum=sum(XY,3);
     betaCCEp_boot=XXsum\XYsum;

     % estimate factors from CCE residuals
     Uccep_boot=Y;
     for j=1:p
         Uccep_boot=Uccep_boot-X(:,:,j)* betaCCEp_boot(j,1);
     end
    li_boot=zeros(knum,N);
    for i=1:N;
    Ui=Uccep_boot(:,i);

    Zwi=zeros(Ti(1,i),knum);
    zwi1=Zw(:,1);
    Zwi(:,1)=zwi1(~isnan(Ui));
    for j=1:knum-1;
        zwij=Zw(:,1+j);
        Zwi(:,1+j)=zwij(~isnan(Ui));
    end;
    Hwi=Zwi;

    Ui=Ui(~isnan(Ui));

    Hwi_mean=mean(Hwi,1);
    Hwi_d=Hwi-ones(Ti(1,i),1)*Hwi_mean;
    li_boot(:,i)=(Hwi'*Hwi)\(Hwi'*Ui);
end;
    F1boot=Zw;
    L1boot=li_boot';

    [Fcce_boot,Lcce_boot,VNTcce_boot,nEMCCE_boot]=panelFactorNew_EM(Uccep_boot,r2step,0.005,F1boot,L1boot);
    Fcceboot(:,:,b)=Fcce_boot;
    Lcceboot(:,:,b)=Lcce_boot;

    % Estimation
    % Pooled Estimator
    [XXinv]= Mul_XXinv_unbalanced(X);
    betaCCEp2step_breps(:,b)=Mul_panelbetaNew_unbalanced(X,XXinv,Y,Fcce_boot,Lcce_boot);

    YstarIFEbreps(:,:,b)=Y_star;
end




