%This program is a function file that performs Pesaran's (2015) test for
%strong cross-section dependence. The test is based on the average of
%pair-wise correlation coefficients.

%X is the (TxN) matrix of data/residuals to be tested.

function [CSDstat] = CSDtest_unbalanced(X) 
[T,N]=size(X);
Xnonan=X;
Xnonan(isnan(X))=0;

% rhohat=zeros(N,N);
% for i=1:N
% for j=1:N
%     Num=zeros(T,1);
%     Den1=zeros(T,1);
%     Den2=zeros(T,1);
%     for t=1:T
%         Num(t,1) = X(t,i) * X(t,j);
%         Den1(t,1) = (X(t,i))^2;
%         Den2(t,1) = (X(t,j))^2;
%         Numerator=sum(Num);
%         Denomenator=sqrt(sum(Den1))*sqrt(sum(Den2));
%     end
%     rhohat(j,i)=Numerator/Denomenator;
% end
% end
% FASTER METHOD, FOR LARGE DATA:
Numerator=Xnonan'*Xnonan;
SquaredMat=X.^2;
SumSquaredMat=nansum(SquaredMat,1);
SqrtSumSquaredMat=sqrt(SumSquaredMat);
Denomenator=SqrtSumSquaredMat'*SqrtSumSquaredMat;
rhohat=Numerator./Denomenator;


rhohatcut=zeros(N,N);
for i=1:(N-1)
for j=(i+1):N
    rhohatcut(i,j)=rhohat(i,j);
end
end

rhohatbar = (2/(N*(N-1))) * sum(rhohatcut(:));

CSDstat = sqrt(T*N*(N-1)/2)*rhohatbar;




        














