% This program removes cross-section and time-series averages from the data

function [Xdot, Ydot] = DemeanData_unbalanced(X,Y)
[T,N,p]=size(X);
y=Y;

ydotvec = zeros(T,N);
a=nanmean(y);
b=nanmean(y,2);
c=nanmean(y(:));
it = ones(T,1);
for i=1:N
    ydotvec(:,i) = y(:,i) - it*a(i) - b + it*c;
end;

X1=zeros(T,N,p);
for j=1:p
    a=nanmean(X(:,:,j));
    b=nanmean(X(:,:,j),2);
    xx=X(:,:,j);
    c=nanmean(xx(:));
    it = ones(T,1);
    for i=1:N
        X1(:,i,j) = X(:,i,j) - it*a(i) - b + it*c;
    end;
end;



Ydot=ydotvec;
Xdot=X1;
