% OUTPUT:
% betanew: computed beta under iteration with error precision=tolerate
% factor: estimated factor
% lambda: estimated loadings
% V: the eigenvalues matrix
% e: estimated residuals
% niter: number of interations to achieve convergence 
% nEM: EM iterations
% Note, this is a modified version of a proram provided by Jushan Bai

function [betanew, factor, lambda, V, e, niter,r,nEM]=Mul_betaIterNew_unbalanced(X, Y, xxinv,U,F,L, r,rmax,rfix, tolerate,nonmiss);
   [T,N,p]=size(X);
   betanorm=1;
   betaold=zeros(p,1);
   Ti=sum(nonmiss,1);

n=0;   % number of iterations needed to stop
while (betanorm  > tolerate & n < 500)
    n=n+1;

    if rfix==0
      [r,~,~,~]=nbplog(U,rmax,1,0);
    end
    [F,L, VNT,nEM]=panelFactorNew_EM(U,r,0.005,F,L);
  
    [beta]=Mul_panelbetaNew_unbalanced(X,xxinv, Y, F,L);
    
    U=Y;
    for k=1:p;
       U=U-X(:,:,k)* beta(k,1);
    end
    betanorm=norm(beta-betaold);
    betaold=beta;

    
end
betanew=beta;
niter=n;
factor=F;
lambda=L;
V=VNT;
e=U-F*L'; 
