
% computing panel data estimator given the projection matrix M_F
% for the purpose of computing infeasible estimator, say
% Note, this program was provided by Jushan Bai
% and updated by Evan Totty to incorporate unbalanced data

function [beta,U] = Mul_panelbeta_unbalanced(X, Y, MF) 
   [T,N,p]=size(X);
   X(isnan(X))=0;
   Ynan=Y;
   Y(isnan(Y))=0;
   xx=zeros(p,p);
   xy=zeros(p,1);
   if p==1;
       xx(1,1)=trace(X'*MF*X);
       xy(1)=trace(X'*MF*Y);
   end
   if p > 1
        for k=1:p;
            MFX1=MF*X(:,:,k);
          %  xx(k,k)=trace(MFX1'*MFX1);
            xy(k)=trace(MFX1'*Y);
              for m=k:p;
                  MFX2=MF*X(:,:,m);
                  xx(k,m)=trace(MFX1'*MFX2);
                     if k < m;
                          xx(m,k)=xx(k,m);
                     end
             end
        end
    end
  
   beta=inv(xx)*xy;
   
   U=Ynan;
   for k=1:p;
	U=U-X(:,:,k)*beta(k,1);
   end;
 
