

% X is an input matrix (T by N)   (not necessaarily the regressor matrix)
% r is the number of factors
% output: factor (F) and factor loadings lambda (L)
% restriction: either F'F/T=I  or L'*L/N=I, depending if T<N,  but F*L is
% the same 

% VNT: diagonal matrix of eigenvalues

% NOTE: code is updated to perform the EM algorithm for handling missing 
% data, as described in Bai (2009) appendix.

% In this version, setting missing =0 in first step is replaced with using 
% estimates from prior round.

function [factor, lambda, VNT, n]=panelFactorNew_EM(X, r, tolerate, f_old, l_old);
[T,N]=size(X);

X_orig=X;

common_initial=f_old*l_old';

q=isnan(X_orig);
X(q)=common_initial(q);

commonnorm=1;
commonold=zeros(T,N);


n=0;
while (commonnorm>tolerate & n<100);

n=n+1;

if T < N ;
   XX=X*X'/(N*T);
  [Fhat0,eigval,Fhat1]=svd(XX);
  factor=Fhat0(:,1:r)*sqrt(T);
  lambda=X'*factor/T;
  VNT=eigval(1:r,1:r);
 
else

   XX=X'*X/(N*T);
  [Fhat0,eigval,Fhat1]=svd(XX);
  lambda=Fhat0(:,1:r)*sqrt(N);
  factor=X*lambda/N;
  VNT=eigval(1:r,1:r); 
end

common=factor*lambda';
commonnorm=norm(common-commonold);
commonold=common;

X(q)=common(q);

end


