/*
This program performs the Gelbach decomposition 
in the paper. 

First, the decomposition with only proxies (no factor 
structure) is performed in Stata.

Then, the common component (lambda_i'*f_t) for 
each of the three factor model estimators is exported
from Matlab into Stata. 

Then, the decomposition with the factor structure is 
performed. 

Finally, confidence intervals for the 
decomposition are computed by re-doing the decomposition 
on the common component from each bootstrap sample.
*/

global dopath "./"



*perform decomposition with proxies only
do ${dopath}/decomposition_proxiesonly_minti15.do

*export common component data
shell /apps/matlab/R2016a/bin/matlab -nosplash -nodisplay -nodesktop -r "try; run('decomposition_exportcommon_minti15.m'); catch ME; disp(ME); end; quit" > decomposition_exportcommon_minti15.log

*perform decomposition
do ${dopath}/decomposition_minti15.do

*get decomposition CIs
do ${dopath}/decomposition_CIs_minti15.do



