/*
This program exports the proxy variables, so the 
data can be loaded into Matlab and then used to 
perform the proxy tests. 
*/


log using ./proxytests_exportproxies_minti15.log, replace

global mydatapath "../mydata"
global outputpath "../output"


local sample insample_minti15
*Export proxy variables
local vars factor_c factor_n1 factor_n2 factor_n3 asvab_3_1981_std asvab_4_1981_std asvab_5_1981_std asvab_6_1981_std asvab_7_1981_std asvab_8_1981_std asvab_9_1981_std asvab_10_1981_std asvab_11_1981_std asvab_12_1981_std rott_std rosen_std
foreach var in `vars' {
	use ${mydatapath}/NLSYrep_doa.dta, clear
	drop factor_c factor_n1 factor_n2 factor_n3
	rename (factor_c_minti15 factor_n1_minti15 factor_n2_minti15 factor_n3_minti15) (factor_c factor_n1 factor_n2 factor_n3)
	keep if `sample'==1 
	label values `var'
	keep `var' year firstyear caseid_1979
	keep if year==firstyear
	keep `var'
	export excel using ${mydatapath}/NLSY`var'_orig.xls, sheetreplace
}


log close
