%%%
% This program loads the proxies and performs the proxy tests
%%%

LASTN=maxNumCompThreads(13)
addpath('matlabprograms')
addpath('matlabprograms/BaiNg')
addpath('../mydata')
clear;
clc;

%warning('off');



% w/o demographics;
load('../mydata/Results_ss2aa2sa_minti15.mat')

p_factorc=readtable('NLSYfactor_c_orig.xls','ReadVariableNames',false);
p_factorc=table2array(p_factorc);
p_factorn1=readtable('NLSYfactor_n1_orig.xls','ReadVariableNames',false);
p_factorn1=table2array(p_factorn1);
p_factorn2=readtable('NLSYfactor_n2_orig.xls','ReadVariableNames',false);
p_factorn2=table2array(p_factorn2);
p_factorn3=readtable('NLSYfactor_n3_orig.xls','ReadVariableNames',false);
p_factorn3=table2array(p_factorn3);
p_asvab3=readtable('NLSYasvab_3_1981_std_orig.xls','ReadVariableNames',false);
p_asvab3=table2array(p_asvab3);
p_asvab4=readtable('NLSYasvab_4_1981_std_orig.xls','ReadVariableNames',false);
p_asvab4=table2array(p_asvab4);
p_asvab5=readtable('NLSYasvab_5_1981_std_orig.xls','ReadVariableNames',false);
p_asvab5=table2array(p_asvab5);
p_asvab6=readtable('NLSYasvab_6_1981_std_orig.xls','ReadVariableNames',false);
p_asvab6=table2array(p_asvab6);
p_asvab7=readtable('NLSYasvab_7_1981_std_orig.xls','ReadVariableNames',false);
p_asvab7=table2array(p_asvab7);
p_asvab8=readtable('NLSYasvab_8_1981_std_orig.xls','ReadVariableNames',false);
p_asvab8=table2array(p_asvab8);
p_asvab9=readtable('NLSYasvab_9_1981_std_orig.xls','ReadVariableNames',false);
p_asvab9=table2array(p_asvab9);
p_asvab10=readtable('NLSYasvab_10_1981_std_orig.xls','ReadVariableNames',false);
p_asvab10=table2array(p_asvab10);
p_asvab11=readtable('NLSYasvab_11_1981_std_orig.xls','ReadVariableNames',false);
p_asvab11=table2array(p_asvab11);
p_asvab12=readtable('NLSYasvab_12_1981_std_orig.xls','ReadVariableNames',false);
p_asvab12=table2array(p_asvab12);
p_rott=readtable('NLSYrott_std_orig.xls','ReadVariableNames',false);
p_rott=table2array(p_rott);
p_rosen=readtable('NLSYrosen_std_orig.xls','ReadVariableNames',false);
p_rosen=table2array(p_rosen);

P=[p_factorc p_factorn1 p_factorn2 p_factorn3 p_asvab3 p_asvab4 p_asvab10 p_asvab6 p_asvab5 p_asvab8 p_asvab7 p_asvab9 p_asvab12 p_asvab11 p_rott p_rosen];


[A_IFE,R2_IFE,R2_lower_IFE,R2_upper_IFE,C_IFE,C_lower_IFE,C_upper_IFE] = proxy_tests(P,L19,LIFEbreps9)
Table_AR_IFE=[A_IFE' R2_IFE' R2_lower_IFE' R2_upper_IFE']
Table_C_IFE=[C_IFE(1,1:9)' C_lower_IFE(1,1:9)' C_upper_IFE(1,1:9)']

[A_CCE,R2_CCE,R2_lower_CCE,R2_upper_CCE,C_CCE,C_lower_CCE,C_upper_CCE] = proxy_tests(P,Lcce2,Lcce2boot4)
Table_AR_CCE=[A_CCE' R2_CCE' R2_lower_CCE' R2_upper_CCE']
Table_C_CCE=[C_CCE(1,1:4)' C_lower_CCE(1,1:4)' C_upper_CCE(1,1:4)']


save('../output/table.mat','Table_AR_IFE')
csvwrite('../output/proxytests_AR_IFE_minti15.csv',Table_AR_IFE)
delete('../output/table.mat')

save('../output/table.mat','Table_C_IFE')
csvwrite('../output/proxytests_C_IFE_minti15.csv',Table_C_IFE)
delete('../output/table.mat')

save('../output/table.mat','Table_AR_CCE')
csvwrite('../output/proxytests_AR_CCE_minti15.csv',Table_AR_CCE)
delete('../output/table.mat')

save('../output/table.mat','Table_C_CCE')
csvwrite('../output/proxytests_C_CCE_minti15.csv',Table_C_CCE)
delete('../output/table.mat')







clear;
clc;
% w demographics;
load('../mydata/Results_ss2aa2sawD_minti15.mat')

p_factorc=readtable('NLSYfactor_c_orig.xls','ReadVariableNames',false);
p_factorc=table2array(p_factorc);
p_factorn1=readtable('NLSYfactor_n1_orig.xls','ReadVariableNames',false);
p_factorn1=table2array(p_factorn1);
p_factorn2=readtable('NLSYfactor_n2_orig.xls','ReadVariableNames',false);
p_factorn2=table2array(p_factorn2);
p_factorn3=readtable('NLSYfactor_n3_orig.xls','ReadVariableNames',false);
p_factorn3=table2array(p_factorn3);
p_asvab3=readtable('NLSYasvab_3_1981_std_orig.xls','ReadVariableNames',false);
p_asvab3=table2array(p_asvab3);
p_asvab4=readtable('NLSYasvab_4_1981_std_orig.xls','ReadVariableNames',false);
p_asvab4=table2array(p_asvab4);
p_asvab5=readtable('NLSYasvab_5_1981_std_orig.xls','ReadVariableNames',false);
p_asvab5=table2array(p_asvab5);
p_asvab6=readtable('NLSYasvab_6_1981_std_orig.xls','ReadVariableNames',false);
p_asvab6=table2array(p_asvab6);
p_asvab7=readtable('NLSYasvab_7_1981_std_orig.xls','ReadVariableNames',false);
p_asvab7=table2array(p_asvab7);
p_asvab8=readtable('NLSYasvab_8_1981_std_orig.xls','ReadVariableNames',false);
p_asvab8=table2array(p_asvab8);
p_asvab9=readtable('NLSYasvab_9_1981_std_orig.xls','ReadVariableNames',false);
p_asvab9=table2array(p_asvab9);
p_asvab10=readtable('NLSYasvab_10_1981_std_orig.xls','ReadVariableNames',false);
p_asvab10=table2array(p_asvab10);
p_asvab11=readtable('NLSYasvab_11_1981_std_orig.xls','ReadVariableNames',false);
p_asvab11=table2array(p_asvab11);
p_asvab12=readtable('NLSYasvab_12_1981_std_orig.xls','ReadVariableNames',false);
p_asvab12=table2array(p_asvab12);
p_rott=readtable('NLSYrott_std_orig.xls','ReadVariableNames',false);
p_rott=table2array(p_rott);
p_rosen=readtable('NLSYrosen_std_orig.xls','ReadVariableNames',false);
p_rosen=table2array(p_rosen);

P=[p_factorc p_factorn1 p_factorn2 p_factorn3 p_asvab3 p_asvab4 p_asvab10 p_asvab6 p_asvab5 p_asvab8 p_asvab7 p_asvab9 p_asvab12 p_asvab11 p_rott p_rosen];


[A_IFE,R2_IFE,R2_lower_IFE,R2_upper_IFE,C_IFE,C_lower_IFE,C_upper_IFE] = proxy_tests(P,L110,LIFEbreps10)
Table_AR_IFEwD=[A_IFE' R2_IFE' R2_lower_IFE' R2_upper_IFE']
Table_C_IFEwD=[C_IFE(1,1:10)' C_lower_IFE(1,1:10)' C_upper_IFE(1,1:10)']


[A_CCE,R2_CCE,R2_lower_CCE,R2_upper_CCE,C_CCE,C_lower_CCE,C_upper_CCE] = proxy_tests(P,Lcce2,Lcce2boot4)
Table_AR_CCEwD=[A_CCE' R2_CCE' R2_lower_CCE' R2_upper_CCE']
Table_C_CCEwD=[C_CCE(1,1:4)' C_lower_CCE(1,1:4)' C_upper_CCE(1,1:4)']





save('../output/table.mat','Table_AR_IFEwD')
csvwrite('../output/proxytests_AR_IFEwD_minti15.csv',Table_AR_IFEwD)
delete('../output/table.mat')

save('../output/table.mat','Table_C_IFEwD')
csvwrite('../output/proxytests_C_IFEwD_minti15.csv',Table_C_IFEwD)
delete('../output/table.mat')

save('../output/table.mat','Table_AR_CCEwD')
csvwrite('../output/proxytests_AR_CCEwD_minti15.csv',Table_AR_CCEwD)
delete('../output/table.mat')

save('../output/table.mat','Table_C_CCEwD')
csvwrite('../output/proxytests_C_CCEwD_minti15.csv',Table_C_CCEwD)
delete('../output/table.mat')

