% This program takes the results from the previous matlab factor 
% models programs and places them into tables matching the format 
% from the paper.

LASTN=maxNumCompThreads(13)
addpath('matlabprograms')
addpath('../mydata')
clear;
clc;



% minti15 spec
clear
Table=zeros(22,13);
load('../mydata/Results_ss2aa2sa_minti15.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
beduc_ifealt=beduc_ife9alt;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,Xdoti,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);


Table(12,2)=csdstat_ols;

Table(4,5)=beduc_ife;
Table(5,5)=se_lincom_IFE(1,1);
Table(10,5)=R2_ife;
Table(11,5)=beduc_ifealt;

Table(4,8)=beduc_ccep;
Table(5,8)=se_lincom_a;
Table(10,8)=R2_cce;
Table(11,8)=beduc_ccepalt;

Table(4,11)=beduc_ccep2step4;
Table(5,11)=se2step_lincom4_bs;
Table(10,11)=R2_cce2;
Table(11,11)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawP_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
beduc_ifealt=beduc_ife9alt;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_wP_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);


Table(12,3)=csdstat_ols;

Table(4,6)=beduc_ife;
Table(5,6)=se_lincom_IFE(1,1);
Table(10,6)=R2_ife;
Table(11,6)=beduc_ifealt;

Table(4,9)=beduc_ccep;
Table(5,9)=se_lincom_a;
Table(10,9)=R2_cce;
Table(11,9)=beduc_ccepalt;

Table(4,12)=beduc_ccep2step4;
Table(5,12)=se2step_lincom4_bs;
Table(10,12)=R2_cce2;
Table(11,12)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPalt_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
beduc_ifealt=beduc_ife9alt;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_wPalt_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,4)=csdstat_ols;

Table(4,7)=beduc_ife;
Table(5,7)=se_lincom_IFE(1,1);
Table(10,7)=R2_ife;
Table(11,7)=beduc_ifealt;

Table(4,10)=beduc_ccep;
Table(5,10)=se_lincom_a;
Table(10,10)=R2_cce;
Table(11,10)=beduc_ccepalt;

Table(4,13)=beduc_ccep2step4;
Table(5,13)=se2step_lincom4_bs;
Table(10,13)=R2_cce2;
Table(11,13)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawD_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife10;
se_lincom_IFE=se_lincom_IFE10;
beduc_ifealt=beduc_ife10alt;
betaIFE=betaIFE010;
Fife=F110;
Life=L110;
Yres=readtable('NLSYyres_wD_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,2)=csdstat_ols;

Table(14,5)=beduc_ife;
Table(15,5)=se_lincom_IFE(1,1);
Table(20,5)=R2_ife;
Table(21,5)=beduc_ifealt;

Table(14,8)=beduc_ccep;
Table(15,8)=se_lincom_a;
Table(20,8)=R2_cce;
Table(21,8)=beduc_ccepalt;

Table(14,11)=beduc_ccep2step4;
Table(15,11)=se2step_lincom4_bs;
Table(20,11)=R2_cce2;
Table(21,11)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPwD_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife10;
se_lincom_IFE=se_lincom_IFE10;
beduc_ifealt=beduc_ife10alt;
betaIFE=betaIFE010;
Fife=F110;
Life=L110;
Yres=readtable('NLSYyres_wPwD_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,3)=csdstat_ols;

Table(14,6)=beduc_ife;
Table(15,6)=se_lincom_IFE(1,1);
Table(20,6)=R2_ife;
Table(21,6)=beduc_ifealt;

Table(14,9)=beduc_ccep;
Table(15,9)=se_lincom_a;
Table(20,9)=R2_cce;
Table(21,9)=beduc_ccepalt;

Table(14,12)=beduc_ccep2step4;
Table(15,12)=se2step_lincom4_bs;
Table(20,12)=R2_cce2;
Table(21,12)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPaltwD_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife10;
se_lincom_IFE=se_lincom_IFE10;
beduc_ifealt=beduc_ife10alt;
betaIFE=betaIFE010;
Fife=F110;
Life=L110;
Yres=readtable('NLSYyres_wPaltwD_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,4)=csdstat_ols;

Table(14,7)=beduc_ife;
Table(15,7)=se_lincom_IFE(1,1);
Table(20,7)=R2_ife;
Table(21,7)=beduc_ifealt;

Table(14,10)=beduc_ccep;
Table(15,10)=se_lincom_a;
Table(20,10)=R2_cce;
Table(21,10)=beduc_ccepalt;

Table(14,13)=beduc_ccep2step4;
Table(15,13)=se2step_lincom4_bs;
Table(20,13)=R2_cce2;
Table(21,13)=beduc_ccep2step4alt;


save('../output/returns_fm.mat','Table')
csvwrite('../output/returns_minti15_fm.csv',Table)
delete('../output/returns_fm.mat')








% Quadratic spec (ss2aa2a4sa)
clear
Table=zeros(22,13);
load('../mydata/Results_ss2aa2a4sa_minti15.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
beduc_ifealt=beduc_ife9alt;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,Xdoti,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,2)=csdstat_ols;

Table(4,5)=beduc_ife;
Table(5,5)=se_lincom_IFE(1,1);
Table(10,5)=R2_ife;
Table(11,5)=beduc_ifealt;

Table(4,8)=beduc_ccep;
Table(5,8)=se_lincom_a;
Table(10,8)=R2_cce;
Table(11,8)=beduc_ccepalt;

Table(4,11)=beduc_ccep2step4;
Table(5,11)=se2step_lincom4_bs;
Table(10,11)=R2_cce2;
Table(11,11)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2a4sawP_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
beduc_ifealt=beduc_ife9alt;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_wP_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,3)=csdstat_ols;

Table(4,6)=beduc_ife;
Table(5,6)=se_lincom_IFE(1,1);
Table(10,6)=R2_ife;
Table(11,6)=beduc_ifealt;

Table(4,9)=beduc_ccep;
Table(5,9)=se_lincom_a;
Table(10,9)=R2_cce;
Table(11,9)=beduc_ccepalt;

Table(4,12)=beduc_ccep2step4;
Table(5,12)=se2step_lincom4_bs;
Table(10,12)=R2_cce2;
Table(11,12)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2a4sawPalt_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
beduc_ifealt=beduc_ife9alt;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_wPalt_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,4)=csdstat_ols;

Table(4,7)=beduc_ife;
Table(5,7)=se_lincom_IFE(1,1);
Table(10,7)=R2_ife;
Table(11,7)=beduc_ifealt;

Table(4,10)=beduc_ccep;
Table(5,10)=se_lincom_a;
Table(10,10)=R2_cce;
Table(11,10)=beduc_ccepalt;

Table(4,13)=beduc_ccep2step4;
Table(5,13)=se2step_lincom4_bs;
Table(10,13)=R2_cce2;
Table(11,13)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2a4sawD_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
beduc_ifealt=beduc_ife9alt;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_wD_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,2)=csdstat_ols;

Table(14,5)=beduc_ife;
Table(15,5)=se_lincom_IFE(1,1);
Table(20,5)=R2_ife;
Table(21,5)=beduc_ifealt;

Table(14,8)=beduc_ccep;
Table(15,8)=se_lincom_a;
Table(20,8)=R2_cce;
Table(21,8)=beduc_ccepalt;

Table(14,11)=beduc_ccep2step4;
Table(15,11)=se2step_lincom4_bs;
Table(20,11)=R2_cce2;
Table(21,11)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2a4sawPwD_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife10;
se_lincom_IFE=se_lincom_IFE10;
beduc_ifealt=beduc_ife10alt;
betaIFE=betaIFE010;
Fife=F110;
Life=L110;
Yres=readtable('NLSYyres_wPwD_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,3)=csdstat_ols;

Table(14,6)=beduc_ife;
Table(15,6)=se_lincom_IFE(1,1);
Table(20,6)=R2_ife;
Table(21,6)=beduc_ifealt;

Table(14,9)=beduc_ccep;
Table(15,9)=se_lincom_a;
Table(20,9)=R2_cce;
Table(21,9)=beduc_ccepalt;

Table(14,12)=beduc_ccep2step4;
Table(15,12)=se2step_lincom4_bs;
Table(20,12)=R2_cce2;
Table(21,12)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2a4sawPaltwD_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife10;
se_lincom_IFE=se_lincom_IFE10;
beduc_ifealt=beduc_ife10alt;
betaIFE=betaIFE010;
Fife=F110;
Life=L110;
Yres=readtable('NLSYyres_wPaltwD_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,4)=csdstat_ols;

Table(14,7)=beduc_ife;
Table(15,7)=se_lincom_IFE(1,1);
Table(20,7)=R2_ife;
Table(21,7)=beduc_ifealt;

Table(14,10)=beduc_ccep;
Table(15,10)=se_lincom_a;
Table(20,10)=R2_cce;
Table(21,10)=beduc_ccepalt;

Table(14,13)=beduc_ccep2step4;
Table(15,13)=se2step_lincom4_bs;
Table(20,13)=R2_cce2;
Table(21,13)=beduc_ccep2step4alt;


save('../output/returns_fm.mat','Table')
csvwrite('../output/returns_agequadratic_fm.csv',Table)
delete('../output/returns_fm.mat')







% Linear spec (saa2)
clear
Table=zeros(22,13);
load('../mydata/Results_saa2_minti15.mat')
beduc_ife=beduc_ife8;
se_lincom_IFE=se_lincom_IFE8;
betaIFE=betaIFE08;
Fife=F18;
Life=L18;
Yres=readtable('NLSYyres_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,Xdoti,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,2)=csdstat_ols;

Table(4,5)=beduc_ife;
Table(5,5)=se_lincom_IFE(1,1);
Table(10,5)=R2_ife;

Table(4,8)=beduc_ccep;
Table(5,8)=se_lincom_a;
Table(10,8)=R2_cce;

Table(4,11)=beduc_ccep2step4;
Table(5,11)=se2step_lincom4_bs;
Table(10,11)=R2_cce2;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_saa2wP_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_wP_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,3)=csdstat_ols;

Table(4,6)=beduc_ife;
Table(5,6)=se_lincom_IFE(1,1);
Table(10,6)=R2_ife;

Table(4,9)=beduc_ccep;
Table(5,9)=se_lincom_a;
Table(10,9)=R2_cce;

Table(4,12)=beduc_ccep2step4;
Table(5,12)=se2step_lincom4_bs;
Table(10,12)=R2_cce2;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_saa2wPalt_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_wPalt_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,4)=csdstat_ols;

Table(4,7)=beduc_ife;
Table(5,7)=se_lincom_IFE(1,1);
Table(10,7)=R2_ife;

Table(4,10)=beduc_ccep;
Table(5,10)=se_lincom_a;
Table(10,10)=R2_cce;

Table(4,13)=beduc_ccep2step4;
Table(5,13)=se2step_lincom4_bs;
Table(10,13)=R2_cce2;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_saa2wD_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife7;
se_lincom_IFE=se_lincom_IFE7;
betaIFE=betaIFE07;
Fife=F17;
Life=L17;
Yres=readtable('NLSYyres_wD_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,2)=csdstat_ols;

Table(14,5)=beduc_ife;
Table(15,5)=se_lincom_IFE(1,1);
Table(20,5)=R2_ife;

Table(14,8)=beduc_ccep;
Table(15,8)=se_lincom_a;
Table(20,8)=R2_cce;

Table(14,11)=beduc_ccep2step4;
Table(15,11)=se2step_lincom4_bs;
Table(20,11)=R2_cce2;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_saa2wPwD_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife8;
se_lincom_IFE=se_lincom_IFE8;
betaIFE=betaIFE08;
Fife=F18;
Life=L18;
Yres=readtable('NLSYyres_wPwD_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,3)=csdstat_ols;

Table(14,6)=beduc_ife;
Table(15,6)=se_lincom_IFE(1,1);
Table(20,6)=R2_ife;

Table(14,9)=beduc_ccep;
Table(15,9)=se_lincom_a;
Table(20,9)=R2_cce;

Table(14,12)=beduc_ccep2step4;
Table(15,12)=se2step_lincom4_bs;
Table(20,12)=R2_cce2;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_saa2wPaltwD_minti15.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_wPaltwD_minti15.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,4)=csdstat_ols;

Table(14,7)=beduc_ife;
Table(15,7)=se_lincom_IFE(1,1);
Table(20,7)=R2_ife;

Table(14,10)=beduc_ccep;
Table(15,10)=se_lincom_a;
Table(20,10)=R2_cce;

Table(14,13)=beduc_ccep2step4;
Table(15,13)=se2step_lincom4_bs;
Table(20,13)=R2_cce2;


save('../output/returns_fm.mat','Table')
csvwrite('../output/returns_linear_fm.csv',Table)
delete('../output/returns_fm.mat')





% altfull samp
clear
Table=zeros(22,13);
load('../mydata/Results_ss2aa2sa_altfull.mat')
beduc_ife=beduc_ife11;
se_lincom_IFE=se_lincom_IFE11;
beduc_ifealt=beduc_ife11alt;
betaIFE=betaIFE011;
Fife=F111;
Life=L111;
Yres=readtable('NLSYyres_altfull.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,Xdoti,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,2)=csdstat_ols;

Table(4,5)=beduc_ife;
Table(5,5)=se_lincom_IFE(1,1);
Table(10,5)=R2_ife;
Table(11,5)=beduc_ifealt;

Table(4,8)=beduc_ccep;
Table(5,8)=se_lincom_a;
Table(10,8)=R2_cce;
Table(11,8)=beduc_ccepalt;

Table(4,11)=beduc_ccep2step4;
Table(5,11)=se2step_lincom4_bs;
Table(10,11)=R2_cce2;
Table(11,11)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawP_altfull.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife10;
se_lincom_IFE=se_lincom_IFE10;
beduc_ifealt=beduc_ife10alt;
betaIFE=betaIFE010;
Fife=F110;
Life=L110;
Yres=readtable('NLSYyres_wP_altfull.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,3)=csdstat_ols;

Table(4,6)=beduc_ife;
Table(5,6)=se_lincom_IFE(1,1);
Table(10,6)=R2_ife;
Table(11,6)=beduc_ifealt;

Table(4,9)=beduc_ccep;
Table(5,9)=se_lincom_a;
Table(10,9)=R2_cce;
Table(11,9)=beduc_ccepalt;

Table(4,12)=beduc_ccep2step4;
Table(5,12)=se2step_lincom4_bs;
Table(10,12)=R2_cce2;
Table(11,12)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPalt_altfull.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife7;
se_lincom_IFE=se_lincom_IFE7;
beduc_ifealt=beduc_ife7alt;
betaIFE=betaIFE07;
Fife=F17;
Life=L17;
Yres=readtable('NLSYyres_wPalt_altfull.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,4)=csdstat_ols;

Table(4,7)=beduc_ife;
Table(5,7)=se_lincom_IFE(1,1);
Table(10,7)=R2_ife;
Table(11,7)=beduc_ifealt;

Table(4,10)=beduc_ccep;
Table(5,10)=se_lincom_a;
Table(10,10)=R2_cce;
Table(11,10)=beduc_ccepalt;

Table(4,13)=beduc_ccep2step4;
Table(5,13)=se2step_lincom4_bs;
Table(10,13)=R2_cce2;
Table(11,13)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawD_altfull.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife8;
se_lincom_IFE=se_lincom_IFE8;
beduc_ifealt=beduc_ife8alt;
betaIFE=betaIFE08;
Fife=F18;
Life=L18;
Yres=readtable('NLSYyres_wD_altfull.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,2)=csdstat_ols;

Table(14,5)=beduc_ife;
Table(15,5)=se_lincom_IFE(1,1);
Table(20,5)=R2_ife;
Table(21,5)=beduc_ifealt;

Table(14,8)=beduc_ccep;
Table(15,8)=se_lincom_a;
Table(20,8)=R2_cce;
Table(21,8)=beduc_ccepalt;

Table(14,11)=beduc_ccep2step4;
Table(15,11)=se2step_lincom4_bs;
Table(20,11)=R2_cce2;
Table(21,11)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPwD_altfull.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife10;
se_lincom_IFE=se_lincom_IFE10;
beduc_ifealt=beduc_ife10alt;
betaIFE=betaIFE010;
Fife=F110;
Life=L110;
Yres=readtable('NLSYyres_wPwD_altfull.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,3)=csdstat_ols;

Table(14,6)=beduc_ife;
Table(15,6)=se_lincom_IFE(1,1);
Table(20,6)=R2_ife;
Table(21,6)=beduc_ifealt;

Table(14,9)=beduc_ccep;
Table(15,9)=se_lincom_a;
Table(20,9)=R2_cce;
Table(21,9)=beduc_ccepalt;

Table(14,12)=beduc_ccep2step4;
Table(15,12)=se2step_lincom4_bs;
Table(20,12)=R2_cce2;
Table(21,12)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPaltwD_altfull.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife10;
se_lincom_IFE=se_lincom_IFE10;
beduc_ifealt=beduc_ife10alt;
betaIFE=betaIFE010;
Fife=F110;
Life=L110;
Yres=readtable('NLSYyres_wPaltwD_altfull.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,4)=csdstat_ols;

Table(14,7)=beduc_ife;
Table(15,7)=se_lincom_IFE(1,1);
Table(20,7)=R2_ife;
Table(21,7)=beduc_ifealt;

Table(14,10)=beduc_ccep;
Table(15,10)=se_lincom_a;
Table(20,10)=R2_cce;
Table(21,10)=beduc_ccepalt;

Table(14,13)=beduc_ccep2step4;
Table(15,13)=se2step_lincom4_bs;
Table(20,13)=R2_cce2;
Table(21,13)=beduc_ccep2step4alt;


save('../output/returns_fm.mat','Table')
csvwrite('../output/returns_altfull_fm.csv',Table)
delete('../output/returns_fm.mat')






% altwh spec
clear
Table=zeros(22,13);
load('../mydata/Results_ss2aa2sa_altwh.mat')
beduc_ife=beduc_ife6;
se_lincom_IFE=se_lincom_IFE6;
beduc_ifealt=beduc_ife6alt;
betaIFE=betaIFE06;
Fife=F16;
Life=L16;
Yres=readtable('NLSYyres_altwh.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,Xdoti,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,2)=csdstat_ols;

Table(4,5)=beduc_ife;
Table(5,5)=se_lincom_IFE(1,1);
Table(10,5)=R2_ife;
Table(11,5)=beduc_ifealt;

Table(4,8)=beduc_ccep;
Table(5,8)=se_lincom_a;
Table(10,8)=R2_cce;
Table(11,8)=beduc_ccepalt;

Table(4,11)=beduc_ccep2step4;
Table(5,11)=se2step_lincom4_bs;
Table(10,11)=R2_cce2;
Table(11,11)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawP_altwh.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife10;
se_lincom_IFE=se_lincom_IFE10;
beduc_ifealt=beduc_ife10alt;
betaIFE=betaIFE010;
Fife=F110;
Life=L110;
Yres=readtable('NLSYyres_wP_altwh.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,3)=csdstat_ols;

Table(4,6)=beduc_ife;
Table(5,6)=se_lincom_IFE(1,1);
Table(10,6)=R2_ife;
Table(11,6)=beduc_ifealt;

Table(4,9)=beduc_ccep;
Table(5,9)=se_lincom_a;
Table(10,9)=R2_cce;
Table(11,9)=beduc_ccepalt;

Table(4,12)=beduc_ccep2step4;
Table(5,12)=se2step_lincom4_bs;
Table(10,12)=R2_cce2;
Table(11,12)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPalt_altwh.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife7;
se_lincom_IFE=se_lincom_IFE7;
beduc_ifealt=beduc_ife7alt;
betaIFE=betaIFE07;
Fife=F17;
Life=L17;
Yres=readtable('NLSYyres_wPalt_altwh.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,4)=csdstat_ols;

Table(4,7)=beduc_ife;
Table(5,7)=se_lincom_IFE(1,1);
Table(10,7)=R2_ife;
Table(11,7)=beduc_ifealt;

Table(4,10)=beduc_ccep;
Table(5,10)=se_lincom_a;
Table(10,10)=R2_cce;
Table(11,10)=beduc_ccepalt;

Table(4,13)=beduc_ccep2step4;
Table(5,13)=se2step_lincom4_bs;
Table(10,13)=R2_cce2;
Table(11,13)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawD_altwh.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife3;
se_lincom_IFE=se_lincom_IFE3;
beduc_ifealt=beduc_ife3alt;
betaIFE=betaIFE03;
Fife=F13;
Life=L13;
Yres=readtable('NLSYyres_wD_altwh.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,2)=csdstat_ols;

Table(14,5)=beduc_ife;
Table(15,5)=se_lincom_IFE(1,1);
Table(20,5)=R2_ife;
Table(21,5)=beduc_ifealt;

Table(14,8)=beduc_ccep;
Table(15,8)=se_lincom_a;
Table(20,8)=R2_cce;
Table(21,8)=beduc_ccepalt;

Table(14,11)=beduc_ccep2step4;
Table(15,11)=se2step_lincom4_bs;
Table(20,11)=R2_cce2;
Table(21,11)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPwD_altwh.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife3;
se_lincom_IFE=se_lincom_IFE3;
beduc_ifealt=beduc_ife3alt;
betaIFE=betaIFE03;
Fife=F13;
Life=L13;
Yres=readtable('NLSYyres_wPwD_altwh.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,3)=csdstat_ols;

Table(14,6)=beduc_ife;
Table(15,6)=se_lincom_IFE(1,1);
Table(20,6)=R2_ife;
Table(21,6)=beduc_ifealt;

Table(14,9)=beduc_ccep;
Table(15,9)=se_lincom_a;
Table(20,9)=R2_cce;
Table(21,9)=beduc_ccepalt;

Table(14,12)=beduc_ccep2step4;
Table(15,12)=se2step_lincom4_bs;
Table(20,12)=R2_cce2;
Table(21,12)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPaltwD_altwh.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife7;
se_lincom_IFE=se_lincom_IFE7;
beduc_ifealt=beduc_ife7alt;
betaIFE=betaIFE07;
Fife=F17;
Life=L17;
Yres=readtable('NLSYyres_wPaltwD_altwh.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,4)=csdstat_ols;

Table(14,7)=beduc_ife;
Table(15,7)=se_lincom_IFE(1,1);
Table(20,7)=R2_ife;
Table(21,7)=beduc_ifealt;

Table(14,10)=beduc_ccep;
Table(15,10)=se_lincom_a;
Table(20,10)=R2_cce;
Table(21,10)=beduc_ccepalt;

Table(14,13)=beduc_ccep2step4;
Table(15,13)=se2step_lincom4_bs;
Table(20,13)=R2_cce2;
Table(21,13)=beduc_ccep2step4alt;


save('../output/returns_fm.mat','Table')
csvwrite('../output/returns_altwh_fm.csv',Table)
delete('../output/returns_fm.mat')






% altb spec
clear
Table=zeros(22,13);
load('../mydata/Results_ss2aa2sa_altb.mat')
beduc_ife=beduc_ife7;
se_lincom_IFE=se_lincom_IFE7;
beduc_ifealt=beduc_ife7alt;
betaIFE=betaIFE07;
Fife=F17;
Life=L17;
Yres=readtable('NLSYyres_altb.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,Xdoti,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,2)=csdstat_ols;

Table(4,5)=beduc_ife;
Table(5,5)=se_lincom_IFE(1,1);
Table(10,5)=R2_ife;
Table(11,5)=beduc_ifealt;

Table(4,8)=beduc_ccep;
Table(5,8)=se_lincom_a;
Table(10,8)=R2_cce;
Table(11,8)=beduc_ccepalt;

Table(4,11)=beduc_ccep2step4;
Table(5,11)=se2step_lincom4_bs;
Table(10,11)=R2_cce2;
Table(11,11)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawP_altb.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife7;
se_lincom_IFE=se_lincom_IFE7;
beduc_ifealt=beduc_ife7alt;
betaIFE=betaIFE07;
Fife=F17;
Life=L17;
Yres=readtable('NLSYyres_wP_altb.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,3)=csdstat_ols;

Table(4,6)=beduc_ife;
Table(5,6)=se_lincom_IFE(1,1);
Table(10,6)=R2_ife;
Table(11,6)=beduc_ifealt;

Table(4,9)=beduc_ccep;
Table(5,9)=se_lincom_a;
Table(10,9)=R2_cce;
Table(11,9)=beduc_ccepalt;

Table(4,12)=beduc_ccep2step4;
Table(5,12)=se2step_lincom4_bs;
Table(10,12)=R2_cce2;
Table(11,12)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPalt_altb.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife7;
se_lincom_IFE=se_lincom_IFE7;
beduc_ifealt=beduc_ife7alt;
betaIFE=betaIFE07;
Fife=F17;
Life=L17;
Yres=readtable('NLSYyres_wPalt_altb.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(12,4)=csdstat_ols;

Table(4,7)=beduc_ife;
Table(5,7)=se_lincom_IFE(1,1);
Table(10,7)=R2_ife;
Table(11,7)=beduc_ifealt;

Table(4,10)=beduc_ccep;
Table(5,10)=se_lincom_a;
Table(10,10)=R2_cce;
Table(11,10)=beduc_ccepalt;

Table(4,13)=beduc_ccep2step4;
Table(5,13)=se2step_lincom4_bs;
Table(10,13)=R2_cce2;
Table(11,13)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawD_altb.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
beduc_ifealt=beduc_ife9alt;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_wD_altb.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,2)=csdstat_ols;

Table(14,5)=beduc_ife;
Table(15,5)=se_lincom_IFE(1,1);
Table(20,5)=R2_ife;
Table(21,5)=beduc_ifealt;

Table(14,8)=beduc_ccep;
Table(15,8)=se_lincom_a;
Table(20,8)=R2_cce;
Table(21,8)=beduc_ccepalt;

Table(14,11)=beduc_ccep2step4;
Table(15,11)=se2step_lincom4_bs;
Table(20,11)=R2_cce2;
Table(21,11)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPwD_altb.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
beduc_ifealt=beduc_ife9alt;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_wPwD_altb.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,3)=csdstat_ols;

Table(14,6)=beduc_ife;
Table(15,6)=se_lincom_IFE(1,1);
Table(20,6)=R2_ife;
Table(21,6)=beduc_ifealt;

Table(14,9)=beduc_ccep;
Table(15,9)=se_lincom_a;
Table(20,9)=R2_cce;
Table(21,9)=beduc_ccepalt;

Table(14,12)=beduc_ccep2step4;
Table(15,12)=se2step_lincom4_bs;
Table(20,12)=R2_cce2;
Table(21,12)=beduc_ccep2step4alt;

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPaltwD_altb.mat')
load('../output/returns_fm.mat')
beduc_ife=beduc_ife9;
se_lincom_IFE=se_lincom_IFE9;
beduc_ifealt=beduc_ife9alt;
betaIFE=betaIFE09;
Fife=F19;
Life=L19;
Yres=readtable('NLSYyres_wPaltwD_altb.xls','ReadVariableNames',false);
Yres=table2array(Yres)';
[R2_ols,R2_ife,R2_cce,R2_cce2,R2_ols_alt,R2_ife_alt,R2_cce_alt,R2_cce2_alt] = rsquared(Y,X,Ydoti,Yres,betaOLSp,betaIFE,betaCCEp,betaCCEp2step4,Fife,Life,Fcce,Lcce,Fcce2,Lcce2);

Table(22,4)=csdstat_ols;

Table(14,7)=beduc_ife;
Table(15,7)=se_lincom_IFE(1,1);
Table(20,7)=R2_ife;
Table(21,7)=beduc_ifealt;

Table(14,10)=beduc_ccep;
Table(15,10)=se_lincom_a;
Table(20,10)=R2_cce;
Table(21,10)=beduc_ccepalt;

Table(14,13)=beduc_ccep2step4;
Table(15,13)=se2step_lincom4_bs;
Table(20,13)=R2_cce2;
Table(21,13)=beduc_ccep2step4alt;


save('../output/returns_fm.mat','Table')
csvwrite('../output/returns_altb_fm.csv',Table)
delete('../output/returns_fm.mat')












% minTi=15 r-hat robustness
clear
Table=zeros(25,13);
load('../mydata/Results_ss2aa2sa_minti15.mat')

Table(3,2)=beduc_ife1;
Table(4,2)=se_lincom_IFE1(1,1);
Table(5,2)=Rselection_1;

Table(3,3)=beduc_ife2;
Table(4,3)=se_lincom_IFE2(1,1);
Table(5,3)=Rselection_2;

Table(3,4)=beduc_ife3;
Table(4,4)=se_lincom_IFE3(1,1);
Table(5,4)=Rselection_3;

Table(3,5)=beduc_ife4;
Table(4,5)=se_lincom_IFE4(1,1);
Table(5,5)=Rselection_4;

Table(3,6)=beduc_ife5;
Table(4,6)=se_lincom_IFE5(1,1);
Table(5,6)=Rselection_5;

Table(3,7)=beduc_ife6;
Table(4,7)=se_lincom_IFE6(1,1);
Table(5,7)=Rselection_6;

Table(3,8)=beduc_ife7;
Table(4,8)=se_lincom_IFE7(1,1);
Table(5,8)=Rselection_7;

Table(3,9)=beduc_ife8;
Table(4,9)=se_lincom_IFE8(1,1);
Table(5,9)=Rselection_8;

Table(3,10)=beduc_ife9;
Table(4,10)=se_lincom_IFE9(1,1);
Table(5,10)=Rselection_9;

Table(3,11)=beduc_ife10;
Table(4,11)=se_lincom_IFE10(1,1);
Table(5,11)=Rselection_10;

Table(3,12)=beduc_ife11;
Table(4,12)=se_lincom_IFE11(1,1);
Table(5,12)=Rselection_11;

Table(3,13)=beduc_ife12;
Table(4,13)=se_lincom_IFE12(1,1);

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawP_minti15.mat')
load('../output/returns_fm.mat')

Table(7,2)=beduc_ife1;
Table(8,2)=se_lincom_IFE1(1,1);
Table(9,2)=Rselection_1;

Table(7,3)=beduc_ife2;
Table(8,3)=se_lincom_IFE2(1,1);
Table(9,3)=Rselection_2;

Table(7,4)=beduc_ife3;
Table(8,4)=se_lincom_IFE3(1,1);
Table(9,4)=Rselection_3;

Table(7,5)=beduc_ife4;
Table(8,5)=se_lincom_IFE4(1,1);
Table(9,5)=Rselection_4;

Table(7,6)=beduc_ife5;
Table(8,6)=se_lincom_IFE5(1,1);
Table(9,6)=Rselection_5;

Table(7,7)=beduc_ife6;
Table(8,7)=se_lincom_IFE6(1,1);
Table(9,7)=Rselection_6;

Table(7,8)=beduc_ife7;
Table(8,8)=se_lincom_IFE7(1,1);
Table(9,8)=Rselection_7;

Table(7,9)=beduc_ife8;
Table(8,9)=se_lincom_IFE8(1,1);
Table(9,9)=Rselection_8;

Table(7,10)=beduc_ife9;
Table(8,10)=se_lincom_IFE9(1,1);
Table(9,10)=Rselection_9;

Table(7,11)=beduc_ife10;
Table(8,11)=se_lincom_IFE10(1,1);
Table(9,11)=Rselection_10;

Table(7,12)=beduc_ife11;
Table(8,12)=se_lincom_IFE11(1,1);
Table(9,12)=Rselection_11;

Table(7,13)=beduc_ife12;
Table(8,13)=se_lincom_IFE12(1,1);

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPalt_minti15.mat')
load('../output/returns_fm.mat')

Table(11,2)=beduc_ife1;
Table(12,2)=se_lincom_IFE1(1,1);
Table(13,2)=Rselection_1;

Table(11,3)=beduc_ife2;
Table(12,3)=se_lincom_IFE2(1,1);
Table(13,3)=Rselection_2;

Table(11,4)=beduc_ife3;
Table(12,4)=se_lincom_IFE3(1,1);
Table(13,4)=Rselection_3;

Table(11,5)=beduc_ife4;
Table(12,5)=se_lincom_IFE4(1,1);
Table(13,5)=Rselection_4;

Table(11,6)=beduc_ife5;
Table(12,6)=se_lincom_IFE5(1,1);
Table(13,6)=Rselection_5;

Table(11,7)=beduc_ife6;
Table(12,7)=se_lincom_IFE6(1,1);
Table(13,7)=Rselection_6;

Table(11,8)=beduc_ife7;
Table(12,8)=se_lincom_IFE7(1,1);
Table(13,8)=Rselection_7;

Table(11,9)=beduc_ife8;
Table(12,9)=se_lincom_IFE8(1,1);
Table(13,9)=Rselection_8;

Table(11,10)=beduc_ife9;
Table(12,10)=se_lincom_IFE9(1,1);
Table(13,10)=Rselection_9;

Table(11,11)=beduc_ife10;
Table(12,11)=se_lincom_IFE10(1,1);
Table(13,11)=Rselection_10;

Table(11,12)=beduc_ife11;
Table(12,12)=se_lincom_IFE11(1,1);
Table(13,12)=Rselection_11;

Table(11,13)=beduc_ife12;
Table(12,13)=se_lincom_IFE12(1,1);

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawD_minti15.mat')
load('../output/returns_fm.mat')

Table(15,2)=beduc_ife1;
Table(16,2)=se_lincom_IFE1(1,1);
Table(17,2)=Rselection_1;

Table(15,3)=beduc_ife2;
Table(16,3)=se_lincom_IFE2(1,1);
Table(17,3)=Rselection_2;

Table(15,4)=beduc_ife3;
Table(16,4)=se_lincom_IFE3(1,1);
Table(17,4)=Rselection_3;

Table(15,5)=beduc_ife4;
Table(16,5)=se_lincom_IFE4(1,1);
Table(17,5)=Rselection_4;

Table(15,6)=beduc_ife5;
Table(16,6)=se_lincom_IFE5(1,1);
Table(17,6)=Rselection_5;

Table(15,7)=beduc_ife6;
Table(16,7)=se_lincom_IFE6(1,1);
Table(17,7)=Rselection_6;

Table(15,8)=beduc_ife7;
Table(16,8)=se_lincom_IFE7(1,1);
Table(17,8)=Rselection_7;

Table(15,9)=beduc_ife8;
Table(16,9)=se_lincom_IFE8(1,1);
Table(17,9)=Rselection_8;

Table(15,10)=beduc_ife9;
Table(16,10)=se_lincom_IFE9(1,1);
Table(17,10)=Rselection_9;

Table(15,11)=beduc_ife10;
Table(16,11)=se_lincom_IFE10(1,1);
Table(17,11)=Rselection_10;

Table(15,12)=beduc_ife11;
Table(16,12)=se_lincom_IFE11(1,1);
Table(17,12)=Rselection_11;

Table(15,13)=beduc_ife12;
Table(16,13)=se_lincom_IFE12(1,1);

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPwD_minti15.mat')
load('../output/returns_fm.mat')

Table(19,2)=beduc_ife1;
Table(20,2)=se_lincom_IFE1(1,1);
Table(21,2)=Rselection_1;

Table(19,3)=beduc_ife2;
Table(20,3)=se_lincom_IFE2(1,1);
Table(21,3)=Rselection_2;

Table(19,4)=beduc_ife3;
Table(20,4)=se_lincom_IFE3(1,1);
Table(21,4)=Rselection_3;

Table(19,5)=beduc_ife4;
Table(20,5)=se_lincom_IFE4(1,1);
Table(21,5)=Rselection_4;

Table(19,6)=beduc_ife5;
Table(20,6)=se_lincom_IFE5(1,1);
Table(21,6)=Rselection_5;

Table(19,7)=beduc_ife6;
Table(20,7)=se_lincom_IFE6(1,1);
Table(21,7)=Rselection_6;

Table(19,8)=beduc_ife7;
Table(20,8)=se_lincom_IFE7(1,1);
Table(21,8)=Rselection_7;

Table(19,9)=beduc_ife8;
Table(20,9)=se_lincom_IFE8(1,1);
Table(21,9)=Rselection_8;

Table(19,10)=beduc_ife9;
Table(20,10)=se_lincom_IFE9(1,1);
Table(21,10)=Rselection_9;

Table(19,11)=beduc_ife10;
Table(20,11)=se_lincom_IFE10(1,1);
Table(21,11)=Rselection_10;

Table(19,12)=beduc_ife11;
Table(20,12)=se_lincom_IFE11(1,1);
Table(21,12)=Rselection_11;

Table(19,13)=beduc_ife12;
Table(20,13)=se_lincom_IFE12(1,1);

save('../output/returns_fm.mat','Table')
clear

load('../mydata/Results_ss2aa2sawPaltwD_minti15.mat')
load('../output/returns_fm.mat')

Table(23,2)=beduc_ife1;
Table(24,2)=se_lincom_IFE1(1,1);
Table(25,2)=Rselection_1;

Table(23,3)=beduc_ife2;
Table(24,3)=se_lincom_IFE2(1,1);
Table(25,3)=Rselection_2;

Table(23,4)=beduc_ife3;
Table(24,4)=se_lincom_IFE3(1,1);
Table(25,4)=Rselection_3;

Table(23,5)=beduc_ife4;
Table(24,5)=se_lincom_IFE4(1,1);
Table(25,5)=Rselection_4;

Table(23,6)=beduc_ife5;
Table(24,6)=se_lincom_IFE5(1,1);
Table(25,6)=Rselection_5;

Table(23,7)=beduc_ife6;
Table(24,7)=se_lincom_IFE6(1,1);
Table(25,7)=Rselection_6;

Table(23,8)=beduc_ife7;
Table(24,8)=se_lincom_IFE7(1,1);
Table(25,8)=Rselection_7;

Table(23,9)=beduc_ife8;
Table(24,9)=se_lincom_IFE8(1,1);
Table(25,9)=Rselection_8;

Table(23,10)=beduc_ife9;
Table(24,10)=se_lincom_IFE9(1,1);
Table(25,10)=Rselection_9;

Table(23,11)=beduc_ife10;
Table(24,11)=se_lincom_IFE10(1,1);
Table(25,11)=Rselection_10;

Table(23,12)=beduc_ife11;
Table(24,12)=se_lincom_IFE11(1,1);
Table(25,12)=Rselection_11;

Table(23,13)=beduc_ife12;
Table(24,13)=se_lincom_IFE12(1,1);

save('../output/returns_fm.mat','Table')
csvwrite('../output/returns_minti15_rhatrobust.csv',Table)
delete('../output/returns_fm.mat')





